﻿@using SignalRMVCChat.Areas.sysAdmin.Service
@using SignalRMVCChat.DependencyInjection
@using SignalRMVCChat.Service
@using SignalRMVCChat.SysAdmin.Service
@model SignalRMVCChat.Models.PluginCustomized
<!DOCTYPE html>
<html lang="fa">
<meta name="viewport" content="width=device-width, initial-scale=1.0">


<style>

.alert {
 
}

.aTagForUserButton{
display: unset;
}

.aTagForUserButton:hover{

cursor: pointer;

}


.aTagForUser:hover .aTagForUserButton{
display: unset;

}

#selectedTag{
background-color:#efefef ;
padding: 4px;
;
}

.aTagForSelect:hover{
color:#6cb8dd;
cursor: pointer;
}

.closebtn {
  
}
.seps{
color:#ddd
}
.closebtn:hover {
  color: black;
}
</style>

@{
    var baseUrl = MyGlobal.GetBaseUrl(Request.Url);
    string archiveUrl = $@"{baseUrl}/customer/archive";
    string panelUrl = $@"{baseUrl}/customer/panel";
    
    
    var pluginCustomized = Model;


    var settingService = Injector.Inject<SettingService>();
    var setting=settingService.GetSingle();
    
}


<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css"
          rel="stylesheet"/>

    <link href="@baseUrl/Content/JsPlugin/Tooltip.css" rel="stylesheet"/>
    <link href="@baseUrl/Content/Site.css" rel="stylesheet"/>
    <link href="@baseUrl/Content/whileWriting.css" rel="stylesheet"/>
</head>

<body>
<style>
.gapSearchDiv{
    margin-top: 10px;
    border: 1px solid #78ffeac2;
    border-radius: 10px;
    padding:15px;
}
.gapSearchDiv:hover{
    background-color: #78ffeac2;
  cursor: pointer;
}
#iconHolder{
text-align: center;
}
#iconHolder *{
font-size: @pluginCustomized.IconSize;

}
.gapSearchDiv span{
  color: #cac9c9;
  float: left;

}

.chatPanel::-webkit-scrollbar {
  width: 5px;
  height: 80%;
}


.gapScreen::-webkit-scrollbar {
  width: 5px;
  height: 80%;
}

.lastInfo{
color:#cac9c9;
margin-right: 5px;
}


.lastInfo:hover{
color:#4395f1;
}

/* Track */
.chatPanel::-webkit-scrollbar-track {
  background: #f1f1f1;
}
.gapScreen::-webkit-scrollbar-track {
            background: #f1f1f1;
          }


.gapScreen::-webkit-scrollbar-thumb {
            background: #888;
              border-radius: 10px;
          }
/* Handle */
.chatPanel::-webkit-scrollbar-thumb {
  background: #888;
    border-radius: 10px;
}


.gapScreen::-webkit-scrollbar-thumb:hover {
            background: #555;
          }


/* Handle on hover */
.chatPanel::-webkit-scrollbar-thumb:hover {
  background: #555;
}


/* Track */
.chatPanel::-webkit-scrollbar-track {
  background: #f1f1f1;
}

/* Handle */
.chatPanel::-webkit-scrollbar-thumb {
  background: #888;
    border-radius: 10px;
}

/* Handle on hover */
.chatPanel::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.onTheFly *{
direction: rtl;
text-align: right;
}
.MsgCount{
float:left;
}
    .onTheFly{
    position: fixed;
         z-index: 9999;
         cursor: move;
 }
    .dot:hover{
    cursor: pointer;
    }
    .dot {
      padding:15px;
        box-shadow: 10px #888888;
      background-color: @pluginCustomized.StartBackGroundColor !important;  ;
      border-radius: @pluginCustomized.StartBorderRadius;
      display: inline-block;
      text-align: center;
      color:@pluginCustomized.StartColor;
    }
    .gapRow *{
        font-size: 14px;
        }
    .gapRow{
padding: 10px;
    background-color: aliceblue;
    margin-top: 3px;
        }

        .gapRow:hover{
            cursor: pointer;
            background-color: #cdf8ff;
            }

    .gapStat{
        height: 10px;
             width: 10px;
             background-color: #29bb1c;
             border-radius: 50%;
             display: inline-block;
             text-align: center;
       }
      /* .gapContent::-webkit-scrollbar {
         display: none;
       }

       !* Hide scrollbar for IE and Edge *!
       .gapContent {
         -ms-overflow-style: none;
       }*/
       
       
       


    .gapContent ,.gapScreen{
     background-color: @pluginCustomized.ChatBgColor ;
        height: 80vh;
        width: 24vw;
      /*  background-color: @pluginCustomized.GapContentBgColor;*/
        color: @pluginCustomized.GapContentColor;
        border-radius: 0px 25px 0px 0px;
        -webkit-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);
        -moz-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);
        box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);
    }

        .gapStatWorking{
            height: 10px;
                 width: 10px;
                 background-color: orange;
                 border-radius: 50%;
                 display: inline-block;
                 text-align: center;
           }
.chatInput{
        width: 100%;


}
.chatInput input{
    border: 1px solid #dddddd;
    border-radius: 2%;
    z-index: 9999999999;
    font-size: 20px;
        width: 100%;
        height: 92%;
}

.chatInput button{
    background-color: white;
    border-top:1px solid #ddd
}


                      .chatInput input:focus{
                                 border: 1px solid #dddddd;
                                  outline: none;

                                 }

           .chatPanel{
           height: 100%;
          width: 100%;
          overflow-y: auto;
          border-radius: 2%;
          margin-bottom: 5px;
          display: grid;
              margin-top: 20px;

             -ms-overflow-style: thin;  /* Internet Explorer 10+ */
                scrollbar-width: thin;

               margin: 0px;
     }

.chatInput{
    display: flex;

}


.gapMe a, .gapHe a{
color:  @pluginCustomized.GapMeColor !important; ;

}

     .gapMe i {
     font-size: 12px;
     font-weight: bold;
     }
     .gapMe{
                background-color: @pluginCustomized.GapMeBgColor ;
                word-break: break-word;
color:  @pluginCustomized.GapMeColor ;
   float: right;
   padding: 7px;
   border-radius: 5%;
  }

  .gapMsg{
  width: 100%;
  margin-top: 5px;
  }

     .gapHe{
     background-color:@pluginCustomized.GapHeBgColor ;
     color:@pluginCustomized.Color;
   float: left;
   padding: 7px;
   border-radius: 5%;
   word-break: break-word;
  }

  .MsgCount{
      height: 100%;
          width: 17px;
          background-color: #51a3f1;
          border-radius: 50%;
          display: inline-block;
          text-align: center;
          color: white;

  }

    .bigPanel {
        position: absolute;
        width: 60%;
        height: 60%;
        background-color: #fbfbfb;
        z-index: 1100000;
        border-radius: 25px;
        padding: 10px;
        box-shadow: 2px 2px 2px #dddddd;
        left: 20%;
        direction: rtl;
        text-align: right;
        overflow: auto;
        display: none;
    }
  .gapTable table, td {
    border:1px solid #dddddd ;
    overflow: auto;
    }
    .gapTable table,th, td {
      border:1px solid #dddddd ;
      }

  .readyPm{
          background-color: #76dbff;
          border-radius: 10%;
          text-align: center;
          color:white;
          display:inline-block;
      padding: 2px;
      margin-right: 2px;
    }

    .readyPm:hover{
            background-color: #49a9ff;
            cursor: pointer;
      }

  .readyPmHolder{
  margin-top: 10px;

       scrollbar-width: thin;

        overflow-x: scroll;
          overflow-y: hidden;
          white-space:nowrap;

          padding:5px
  }



/*
 *  STYLE 4
 */

.chatPanel::-webkit-scrollbar-track
{
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.0);
	background-color: white;
}

.chatPanel::-webkit-scrollbar
{
	height: 5px;
	width:  5px;
	background-color: white;
}

.chatPanel::-webkit-scrollbar-thumb
{
	background-color: #ff533a ;
}


/*
 *  STYLE 4
 */

.readyPmHolder::-webkit-scrollbar-track
{
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.0);
	background-color: white;
}

.readyPmHolder::-webkit-scrollbar
{
	height: 5px;
	width:  1px;
	background-color: white;
}

.readyPmHolder::-webkit-scrollbar-thumb
{
	background-color: #918a84 ;
}

.readyPmHolder::-webkit-scrollbar-thumb:hover
{
	background-color: #29bb1c ;
	cursor: e-resize !important;
}


.gapMsg:hover .gapB{
display: block;
}
.gapMsg  .gapB{
display: none;
border:1px solid white;
margin:2px
}

.gapMe .gapB{
 background-color:@pluginCustomized.GapMeBgColor ;
     color:@pluginCustomized.Color
}

.gapMe .gapB:hover{
 background-color:@pluginCustomized.Color ;
     color:@pluginCustomized.GapMeBgColor
}

.gapHe .gapB:hover{
 background-color: @pluginCustomized.Color ;
     color:@pluginCustomized.GapHeBgColor
}
.gapHe .gapB{
 background-color:@pluginCustomized.GapHeBgColor  ;
     color:@pluginCustomized.Color
}

#toolsPanel button{

    width: 40px;
    border: none;
    background-color: none
}

#toolsPanel i{
    font-size: 25px;
}

.gapOnTheFlyScreen{
width: 100%;
    height: 100%;
    position: inherit;
    background-color: white;
}


.gapTopToolsPanel{
    background-image: linear-gradient(to right, @pluginCustomized.TopHeaderLeftColor , @pluginCustomized.TopHeaderRightColor );
    color: white;

    /*background-image: url(@baseUrl/Content/paterns/patterns.png);
    background-size: 20px;
    background-repeat: repeat-x;*/
}

.gap_online_admin{
    height: 32px;
    width: 32px;
    background-color: #700000;
    border-radius: 50%;
    display: inline-block;
    border: 1px solid white;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;

    margin-right: 5px;
}
.gap_online_admin_content{

    color: white;
    text-align: center;
    font-size: 15px !important;
    font-weight: 700;
    line-height: 31px!important;

}
.gap_online_admin_come_right
    {
    display: grid;
}

.gap_tools{

}

.gapTopToolsPanel button{
    background-color:@pluginCustomized.TopHeaderLeftColor;
    color: white;
}
.gapTopToolsPanel button:hover{
    background-color: @pluginCustomized.TopHeaderRightColor;
}

.gap_title h4{
    padding: 0px;
    margin: 0px;
    padding: 9px;
}

.gap_description{
    font-size: 13px !important;
    text-align: center
}

.gap_onlines{
    display: flex;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-right: 7px
}

.hide{
    display: none;
}

.gap_chatInfo{


}

.gapChat{
overflow: hidden;
    height: 66%;
}

.gapBottomIcon{
    color: #dddddd;


}


.gapBottomIcon:hover{
    color: black;

}

#gpwaterMark:hover{
color:@pluginCustomized.TopHeaderRightColor !important;
}


.gapStickerHolder{
   height: 20vh;
       position: absolute;
       background-color: white;
       width: 100%; 
       bottom: 39px;
       overflow: hidden;
       padding: 0px;
    }
    
    
    .gapEmoji:hover{
    
    cursor: pointer;
    }
    
    .gapInnerMsg{
    
    padding-right: 10px;
    }
    
    
    .gap_title , .gap_description{
    color:@pluginCustomized.TopHeaderFontColor
    
    }
    
    .whileWriting{
        background-color:@pluginCustomized.TopHeaderLeftColor !important;

    }
</style>
<div class="bigPanel" id="bigPanel">


</div>

<div class="onTheFly" id="onTheFly" >
   
    <div class="gap_panel_header"></div>
    
    
    <div id="toolsPanel" class="openPanels" style="
       width: 60px;
       left: -70px;
       z-index: 99;
       margin-right: 62px;
       position: absolute;
       margin-top: 15px;
       background-color: white;
       margin-bottom: 15px;
       display: none;
       padding: 5px;
       border-left: 1px solid;
       border-top: 1px solid;
       border-bottom: 1px solid;
       
">
        <button aria-label="تمامی مراجعه کنندگان سایت" data-microtip-position="left" role="tooltip" onclick="changeUserTypes('all',this)" title="همه کاربران آنلاین">
            <span >
                <i class="fa fa-users" aria-hidden="true"></i>
            </span>
        </button>
        <button aria-label="کاربران آنلاینی که پشتیبانی دریافت کرده اند" data-microtip-position="left" role="tooltip" onclick="changeUserTypes('chatted',this)" title="آنلاین ، چت کرده">
            <span >
                <i class="fa fa-commenting-o" aria-hidden="true"></i>

            </span>
        </button>
        <button aria-label="کاربران آنلاینی که پشتیبانی دریافت نکرده اند" data-microtip-position="left" role="tooltip" onclick="changeUserTypes('notChat',this)" title="آنلاین ، چت نکرده">
            <i class="fa fa-shopping-cart" aria-hidden="true"></i>

        </button>
        <button aria-label="کاربرانی که بدون دریافت پشتیبانی سایت را ترک کرده اند" data-microtip-position="left" role="tooltip" onclick="changeUserTypes('left',this)" title="از دست رفته">
            <i class="fa fa-frown-o" aria-hidden="true"></i>
        </button>
        <button aria-label="نمایش کاربران آنلاین هر صفحه از سایت شما بصورت مجزا" data-microtip-position="left" role="tooltip" onclick="changeUserTypes('separateWithPages',this)" title="آنلاین های هر صفحه">
            <i class="fa fa-clone" aria-hidden="true"></i>
        </button>
        <button aria-label="بعد از دریافت پشتیبانی مجددا به سایت بازگشته اند" data-microtip-position="left" role="tooltip" onclick="changeUserTypes('returnedChatted',this)" title="بازگشت مجدد به سایت (چت کرده )">
            <i class="fa fa-smile-o" aria-hidden="true"></i>
        </button>
        <button aria-label="بعد از دریافت پشتیبانی هرگز به سایت برگنشته اند" data-microtip-position="left" role="tooltip" onclick="changeUserTypes('returnedNotChatted',this)" title="بازگشت مجدد به سایت (چت نکرده )">
            <i class="fa fa-street-view" aria-hidden="true"></i>
        </button>


        <button aria-label="در این حالت کل پلاگین روی کاربران آنلاین متمرکز است" data-microtip-position="left" role="tooltip">
            فقط آنلاین
            <input onchange="gapIsOnlyOnlyChange(this)" type="checkbox" id="gapIsOnlyOnly"/>
        </button>

    </div>

    <div class="gapContent" id="gapContent" style="display: none">
        <div class="gapTopToolsPanel" style=" min-height: 10vh;background-color: rgb(239 239 239);width: 100%;text-align: left">
            <button type="button" style="float: left; border: none;" id="gapCloseButton" title="بستن پنل">
                <i class="fa fa-times" aria-hidden="true"></i>
            </button>
            
            <div class="gap_tools">
                <button style="padding: 5px;
                                                                                                                                                                                                                                                                                                                                                    border-radius: 0px;
                                                                                                                                                                                                                                                                                                                                                    border: none;float: left; display: none" type="button" type="button" title="جستجو"
                        id="gapSearchButton">
                    <i class="fa fa-search" aria-hidden="true"></i>
                </button>
                <span style="float: left;display: none" class="seps">|</span>

                <form style="float: left; background-color: white;border: none;display: none" target="_blank" action="@archiveUrl" id="goArchive" method="post">

                    <input type="submit" id="sssssubArchive" hidden="hidden" />
                    <input type="text" name="token" id="token" value="@ViewBag.token" hidden="hidden" />
                    <input type="text" name="adminToken" id="adminTokenArchive" value="" hidden="hidden" />
                    <button style="padding: 5px;
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 border-radius: 0px;
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 border: none;" type="button" onclick="getDoc().querySelector('#sssssubArchive').click()" type="button" title="آرشیو">
                        <i class="fa fa-archive" aria-hidden="true"></i>
                    </button>
                </form>


                <span style="float: left;display: none" class="seps">|</span>

                <form style="float: left; background-color: white;border: none;display: none" target="_blank" action="@panelUrl" id="goPanel" method="post">

                    <input type="submit" id="sssssub" hidden="hidden" />
                    <input type="text" name="token" id="token" value="@ViewBag.token" hidden="hidden" />
                    <input type="text" name="adminToken" id="adminToken" value="" hidden="hidden" />
                    <input type="text" name="websiteToken" id="websiteToken" value="" hidden="hidden" />
                    <button style="padding: 5px;
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  border-radius: 0px;
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  border: none;" type="button" onclick="getDoc().querySelector('#sssssub').click()" type="button" title="پنل">
                        <i class="fa fa-tachometer" aria-hidden="true"></i>
                    </button>
                </form>


                <span style="float: left;display: none" class="seps">|</span>
                <button style="padding: 5px;
                                                                                                                                                                                                                   border-radius: 0px;
                                                                                                                                                                                                                   border: none;float: left;display: none" type="button" onclick="ChangeUsers()" href="#" type="button" id="changeUsers">
                    ادمین ها
                </button>

                <span style="float: left;display: none" class="seps">|</span>
                <button style="padding: 5px;
                                                                                                                                                                                                                                                                         border-radius: 0px;
                                                                                                                                                                                                                                                                         border: none;float: left;display: none" id="gapAutomaticPmSend" type="button" title="پیغام های اتوماتیک زماندار" onclick="getDoc().querySelector('#sssssub').click()" href="#" type="button">
                    <i class="fa fa-calendar-plus-o" aria-hidden="true"></i>

                </button>
                <span style="float: left;display: none" class="seps">|</span>
                <button style="padding: 5px;
                                                                                                                                                                  border-radius: 0px;
                                                                                                                                                                  border: none;float: left; display: none" type="button" onclick="GetAllTagsForCurrentAdmin()" href="#" type="button" id="gaptags" title="برچسب ها">
                    <i class="fa fa-tags" aria-hidden="true"></i>

                </button>

                <span style="float: left;display: none" class="seps">|</span>
                <button style="padding: 5px;
                                                                                                                                                                                                                                         border-radius: 0px;
                                                                                                                                                                                                                                         border: none;float: left; display: none" type="button" onclick="Comment()" href="#" type="button" id="Comment">
                    نظر
                </button>



                <button type="button" style="float: left; border: none;display: none" id="gapBackButton" title="بازگشت">
                    <i class="fa fa-long-arrow-left" aria-hidden="true"></i>
                </button>


            </div>
            
         
            <div class="gapAfterChat"  id="gapAfterChat"  style="display: none">
               
              


            </div>
            
            <div class="gapBeforeChat" id="gapBeforeChat" >
                   <div class="gap_title">
                                <h4>پشتیبانی آنلاین</h4>
                            </div>
                            <div class="gap_description">
@pluginCustomized.TopHeaderText
                            </div>
                                       
                            <div class="gap_onlines" id="gap_onlines">
                                @*<span class="gap_online_admin" aria-label="داوود" data-microtip-position="left" role="tooltip">
                                    <span class="gap_online_admin_content gap_online_admin_come_right">د</span>
                
                                </span>
                                <span aria-label="سعید" data-microtip-position="left" role="tooltip" class="gap_online_admin gap_online_admin_come_right"
                                style="background-image: url(@baseUrl/Upload/Upload/Blake_Seth_mugshot.jpg)"
                                      > </span>
                                <span aria-label="محمد" data-microtip-position="left" role="tooltip" class="gap_online_admin gap_online_admin_come_right">
                                    <span class="gap_online_admin_content">م</span>
                
                                </span>
                                <span aria-label="ادمین های آنلاین دیگر" data-microtip-position="left" role="tooltip" class="gap_online_admin gap_online_admin_come_right">
                                    
                                    <span class="gap_online_admin_content">10+</span>
                
                                </span>
                                
                                
                                <div class="gap_chatInfo hide">
                                    <i class="ti-user"></i>
                                    <label id="gapCurPerson"> مهدی ایرانژاد</label>
                                    <span style="display: none" id="gapCurId"> مهدی ایرانژاد</span>
                                    <i id="gapCurPersonStatus" class="gapStat" style="color: green"></i>
                                    <label style="display: none" id="gapShowUserActivityDetailInhtml" onclick='gapShowUserActivityDetailInhtml(this)' customerId="" title='' class='lastInfo'> نمایش گردش کاربر</label>
                                    <label style="display: none" id="GapAddress" class='lastInfo'> </label>
                                    <button style="padding: 10px;
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       border-radius: 0px;
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       border: none;" type="button" id="forwardChatButton">انتقال گفتگو</button>
                
                                    <div class="readyPmHolder">
                
                                    </div>
                                    <div class="readyPmHolder" id="gapCurrUserTags" style="display: flex">
                
                                    </div>
                                </div>*@
                            </div>
                         
            </div>
        </div>

        @*<p id="gapiloading" style="
    text-align: right;
">در حال لود</p>*@


        <div class="gapChat" id="gapChat">

            

            <div class="chatPanel" id="chatPanel">


                
                
             
            </div>
            
                

        </div>
        
         <div id="gapwhileWriting" style="
                 color: #ddd;display: none;
                     text-align: center;
                     /* width: 100%; */
                     bottom: 25px;
                     position: absolute;
                     z-index: 1;
                     left: 22px;
                "><span class="lds-ellipsis" >
                
             <div class="whileWriting"></div>
             <div class="whileWriting"></div>
             <div class="whileWriting"></div>
             <div class="whileWriting"></div>
            </span></div>
            
        <div style="
                 color: #ddd;
                     text-align: center;
                     /* width: 100%; */
                     bottom: 62px;
                     position: absolute;
                     z-index: 1;
                     margin-right: 34%;
               "><a href="@baseUrl" target="_blank" id="gpwaterMark" style="
                       text-align: center;
                       text-decoration: none;
                       color: #8e8d8d;
                       padding: 0px;
                       background-color: white;
                       padding-right: 4px;
                       border-radius: 13px;
                       padding-left: 4px;
               ">
               
            @setting.WaterMark
               
              
        </a></div>
        
        
    
        <div class="gap_send_form" style=" width: 100%;    bottom: 0px;
                                                           position: absolute;">
                
            
               

            <div class="chatInput" id="chatInput" style=" width: 100%;">
                <form onsubmit="return false;gapChatSubmit()" id="gapChatForm" style=" width: 100%;">
                    <input id="gapFileAdder" hidden="hidden" type="file" value="فایل" />
                    <input hidden="hidden" id="gapFileContent" name="gapFileContent" />
                    <input hidden="hidden" id="gapFileUniqId" name="gapFileContent" />
                    <input hidden="hidden" id="gapFileExtention" name="gapFileExtention" />

                    <input placeholder="در اینجا تایپ نمایید" id="gapChatInput"  />

                    <input id="gapInpSub" type="submit" hidden="hidden" />
                </form>
                    
                <div style="display: flex;margin-top:1px">
                        <button title="ارسال" onclick="getDoc().querySelector('#gapInpSub').click()" type="button" style="padding: 10px; border-radius: 0px;     border: 1px solid #ddd;">
                                        <i  style="font-size: 25px;" class="gapBottomIcon fa fa-paper-plane" aria-hidden="true"></i>
                    
                                    </button>
                                    <button title="فایل" style="padding: 10px; border-radius: 0px;    border: 1px solid #ddd;" type="button" onclick="getDoc().querySelector('#gapFileAdder').click()">
                                        <i  style="font-size: 25px" class="gapBottomIcon fa fa-plus" aria-hidden="true"></i>
                                            
                                    </button>
                                    @*<button title="تگ" style="padding: 10px; border-radius: 0px;    border: 1px solid #ddd;" type="button" onclick="tagUser()" id="gaptagUser">
                                        <i style="font-size: 25px" class="gapBottomIcon fa fa-tag" aria-hidden="true"></i>
                    
                                    </button>*@
                                    
                                    
                                    <button title="استیکر" style="padding: 10px; border-radius: 0px;     border: 1px solid #ddd;" type="button" onclick="gapStickerOpen()" id="gapStickerOpen">
                                        <i style="font-size: 25px" class="gapBottomIcon fa fa-smile-o" aria-hidden="true"></i>
                    
                                    </button>
                </div>
                
                

            </div>
               
                
        </div>


    </div>

   

</div>

 <div class=" dot" id="dot">

        @if (!string.IsNullOrEmpty(pluginCustomized.Icon))
        {
            <div id="iconHolder">
                @Html.Raw(pluginCustomized.Icon)

            </div>
        }

        @if (!string.IsNullOrEmpty(pluginCustomized.StartText))
        {
            <a type="button" style="position: relative;
                                    top: 30%;
                                    transform: translateX(-50%);">@pluginCustomized.StartText</a>
        }





    </div>
</body>
</html>